<template>
  <div>
    <div>
      <v-sheet color="transparent" flat class="mx-auto" elevation="8" max-width="100%" style="border-radius: 8px;" >
                 <v-tabs v-model="tab" background-color="green lighten-1" dark centered>

                      <v-tab v-for="(travel,index) in menu_travel" :key="index" style="padding: 0px 102px 0px 102px;" centered>
                        <span class="textbtn" >{{travel.name}}</span>
                      </v-tab>

                </v-tabs>
                <v-tabs-items v-model="tab" class="cardd">
                  <v-tab-item
                    v-for="(travel,index) in menu_travel" :key="index"
                  >
                       <div v-if="travel.name === 'เที่ยวสนุก'">
                        <v-slide-group v-model="model" class="pa-4 " center-active show-arrows>
                          <v-slide-item v-for="(n,index) in data_trip" :key="index" v-slot :default="{ active, toggle }">
                              <v-card class="ma-4" height="300" width="225">
                                <v-img :src="pathh+n.picture[0]" height="230px"></v-img>
                                <v-card-text class="text-center">{{n.title}}</v-card-text>
                              </v-card>
                          </v-slide-item>
                        </v-slide-group>
                      </div>
                      <!-- *********************************************************** -->
                      <div v-if="travel.name === 'บุกของกิน'">
                        <v-slide-group v-model="model" class="pa-4" center-active show-arrows>
                          <v-slide-item v-for="(n,index) in data_food" :key="index" v-slot :default="{ active, toggle }">
                              <v-card class="ma-4" height="300" width="225">
                                <v-img :src="pathh+n.picture[0]" height="230px"></v-img>
                                <v-card-text class="text-center">{{n.title}}</v-card-text>
                              </v-card>
                          </v-slide-item>
                        </v-slide-group>
                      </div>
                      <!-- *********************************************************** -->
                      <div  v-if="travel.name === 'ถิ่นของช็อป'">
                        <v-slide-group v-model="model" class="pa-4" center-active show-arrows>
                          <v-slide-item v-for="(n,index) in data_fun" :key="index" v-slot :default="{ active, toggle }">
                              <v-card class="ma-4" height="300" width="225">
                                <v-img :src="pathh+n.picture[0]" height="230px"></v-img>
                                <v-card-text class="text-center">{{n.title}}</v-card-text>
                              </v-card>
                          </v-slide-item>
                        </v-slide-group>
                      </div>
                      <!-- *********************************************************** -->
                      <div v-if="travel.name === 'พร็อพที่พัก'">
                        <v-slide-group v-model="model" class="pa-4" center-active show-arrows>
                          <v-slide-item v-for="(n,index) in data_shop" :key="index" v-slot :default="{ active, toggle }">
                              <v-card class="ma-4" height="300" width="225">
                                <v-img :src="pathh+n.picture[0]" height="230px"></v-img>
                                <v-card-text class="text-center">{{n.title}}</v-card-text>
                              </v-card>
                          </v-slide-item>
                        </v-slide-group>
                      </div>

                  </v-tab-item>
                </v-tabs-items>

        <v-btn color="green right" dark href="/traveldetail">ดูทั้งหมด</v-btn>
      </v-sheet>
    </div>
  </div>
</template>
<script>
export default {
  data () {
    return {
      pathh: process.env.VUE_APP_API,
      datas: [],
      tab: null,
      fun_trip: [],
      data_trip: [],
      fun_food: [],
      data_food: [],
      fun_fun: [],
      data_fun: [],
      fun_shop: [],
      data_shop: [],
      menu_travel: [
        {
          name: 'เที่ยวสนุก',
          id: 'id1'
        },
        {
          name: 'บุกของกิน',
          id: 'id2'
        },
        {
          name: 'ถิ่นของช็อป',
          id: 'id3'
        },
        {
          name: 'พร็อพที่พัก',
          id: 'id4'
        }
      ]
    }
  },
  created () {
    this.getData()
  },
  methods: {
    async getData () {
      console.log('object')
      try {
        var test = await this.axios.get(
          process.env.VUE_APP_API + '/api/v2/content/index'
        )
        console.log(test)
        this.datas = test.data.data
        this.fun_trip = this.datas[7]
        this.data_trip = this.fun_trip.data
        this.fun_food = this.datas[6]
        this.data_food = this.fun_food.data
        this.fun_fun = this.datas[5]
        this.data_fun = this.fun_fun.data
        this.fun_shop = this.datas[4]
        this.data_shop = this.fun_shop.data
      } catch (error) {
        console.log(error.message)
      }
    }
  }
}
</script>
<style>
.tabb {
  display: none ;
}
.cardd
{
  background: rgba(10, 10, 10, 0.4) !important;
  border-radius:8px;
}
</style>
